<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iPropertyChangeTriggerFactory Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iPropertyChangeTriggerFactory Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iPropertyChangeTriggerFactory" --><!-- doxytag: inherits="iBase" -->
<p>This interface is implemented by the trigger that fires when a certain property passes a test on some value.  
 <a href="structiPropertyChangeTriggerFactory.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="triggers_8h_source.html">tools/triggers.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iPropertyChangeTriggerFactory:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiPropertyChangeTriggerFactory.png" usemap="#iPropertyChangeTriggerFactory_map" alt=""/>
  <map id="iPropertyChangeTriggerFactory_map" name="iPropertyChangeTriggerFactory_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,193,24"/>
</map>
 </div></div>

<p><a href="structiPropertyChangeTriggerFactory-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPropertyChangeTriggerFactory.html#a7ec6e71378e49b985e60acb694423279">SetEntityParameter</a> (const char *entity, const char *tag=0)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the name of the entity containing the pcproperties property class on which this trigger will fire.  <a href="#a7ec6e71378e49b985e60acb694423279"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPropertyChangeTriggerFactory.html#a8ff0ab64afa2a0a270262719d12c81da">SetOnChangeOnly</a> (bool on_change)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set whether the trigger will fire only on an actual change (so the condition has to become true), or whenever the condition is met (even initially).  <a href="#a8ff0ab64afa2a0a270262719d12c81da"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPropertyChangeTriggerFactory.html#af2ab28a5ff90138bdf815af8c844b9f1">SetOperationParameter</a> (const char *op)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the operation this trigger will test with.  <a href="#af2ab28a5ff90138bdf815af8c844b9f1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPropertyChangeTriggerFactory.html#a47ffd7ac95a2f07e0478b5a05d037296">SetPropertyParameter</a> (const char *prop)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the name of the property on which this trigger will fire.  <a href="#a47ffd7ac95a2f07e0478b5a05d037296"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPropertyChangeTriggerFactory.html#aabd48e3de6fde37e2d99591cfefca3aa">SetValueParameter</a> (const char *value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the value of the property on which this trigger will fire.  <a href="#aabd48e3de6fde37e2d99591cfefca3aa"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This interface is implemented by the trigger that fires when a certain property passes a test on some value. </p>
<p>Test can be any of the operations below. You can query this interface from the trigger factory if you want to manually control this factory as opposed to loading its definition from an XML document.</p>
<p>The predefined name of this trigger type is 'cel.triggers.propertychange'.</p>
<p>In XML, factories recognize the following attributes on the 'fireon' node:</p>
<ul>
<li><em>entity</em>: the name of the entity that contains the pcproperties property class.</li>
<li><em>entity_tag</em>: optional tag used to find the right property class from the entity.</li>
<li><em>property</em>: the name of the property.</li>
<li><em>value</em>: the value on which this trigger will fire. If this value is not given then the trigger will fire whenever the value</li>
<li><em>operation</em>: the value on which this trigger will test. If this value is not given then the trigger will fire on equality.</li>
<li><em>onchange</em>: if true the trigger will fire only when the condition becomes true (so it has to be initially false, and become true after that), otherwise the trigger will fire whenever the condition is met (even initially).</li>
</ul>
<p>Valid operations:</p>
<ul>
<li><em>eq</em>: Equals (==).</li>
<li><em>lt</em>: Lower than (&lt;).</li>
<li><em>gt</em>: Greater than (&gt;).</li>
<li><em>ne</em>: Not equal (!=).</li>
<li><em>le</em>: Lower or equal (&lt;=).</li>
<li><em>ge</em>: Greater or equal (&gt;=). Note string and bool properties can only be tested with "ne" or "eq", as greater or lesser doesn't really make sense for them. </li>
</ul>

<p>Definition at line <a class="el" href="triggers_8h_source.html#l00383">383</a> of file <a class="el" href="triggers_8h_source.html">triggers.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a7ec6e71378e49b985e60acb694423279"></a><!-- doxytag: member="iPropertyChangeTriggerFactory::SetEntityParameter" ref="a7ec6e71378e49b985e60acb694423279" args="(const char *entity, const char *tag=0)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPropertyChangeTriggerFactory.html#a7ec6e71378e49b985e60acb694423279">iPropertyChangeTriggerFactory::SetEntityParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>entity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>tag</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the name of the entity containing the pcproperties property class on which this trigger will fire. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">entity</td><td>is the name of the entity or a parameter (starts with '$'). </td></tr>
    <tr><td class="paramname">tag</td><td>is the optional tag of the entity or a parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a8ff0ab64afa2a0a270262719d12c81da"></a><!-- doxytag: member="iPropertyChangeTriggerFactory::SetOnChangeOnly" ref="a8ff0ab64afa2a0a270262719d12c81da" args="(bool on_change)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPropertyChangeTriggerFactory.html#a8ff0ab64afa2a0a270262719d12c81da">iPropertyChangeTriggerFactory::SetOnChangeOnly</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>on_change</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set whether the trigger will fire only on an actual change (so the condition has to become true), or whenever the condition is met (even initially). </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">on_change</td><td>true for reporting only on change. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="af2ab28a5ff90138bdf815af8c844b9f1"></a><!-- doxytag: member="iPropertyChangeTriggerFactory::SetOperationParameter" ref="af2ab28a5ff90138bdf815af8c844b9f1" args="(const char *op)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPropertyChangeTriggerFactory.html#af2ab28a5ff90138bdf815af8c844b9f1">iPropertyChangeTriggerFactory::SetOperationParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>op</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the operation this trigger will test with. </p>
<p>If operation is not set equality will be checked. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">op</td><td>one of: eq, lt, gt, ne, le, ge. See above for more details. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a47ffd7ac95a2f07e0478b5a05d037296"></a><!-- doxytag: member="iPropertyChangeTriggerFactory::SetPropertyParameter" ref="a47ffd7ac95a2f07e0478b5a05d037296" args="(const char *prop)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPropertyChangeTriggerFactory.html#a47ffd7ac95a2f07e0478b5a05d037296">iPropertyChangeTriggerFactory::SetPropertyParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>prop</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the name of the property on which this trigger will fire. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">prop</td><td>is the name of the property or a parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aabd48e3de6fde37e2d99591cfefca3aa"></a><!-- doxytag: member="iPropertyChangeTriggerFactory::SetValueParameter" ref="aabd48e3de6fde37e2d99591cfefca3aa" args="(const char *value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPropertyChangeTriggerFactory.html#aabd48e3de6fde37e2d99591cfefca3aa">iPropertyChangeTriggerFactory::SetValueParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the value of the property on which this trigger will fire. </p>
<p>If this value is not given the the trigger will fire whenever the value changes. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>is the value or a parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="triggers_8h_source.html">triggers.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
